4Suite™ API Documentation

# ► Module Ft.Server.Server.Ftp

Classes: FtpModule |  |  |  | Fields: FTSERVER_SERVER_NS

## Modules

FtpHandler | FTP listener based on pyftpd WWW: http://4suite.org e-mail: support@4suite.org
Session | Repository exposed as FTP session

## Classes

class FtpModule(Ft.Server.Server.Module)

### Methods

addExtendedMapping(self, parser, config, name, data, attrs)
An extended mapping will map an extension to IMT, docdef, or resource type
initialize(self, parser, config)

### Methods inherited from class Ft.Server.Server.Module

loadObject

### Fields

commands = {('http://xmlns.4suite.org/reserved', 'ExtendedMapping'): 'addExtendedMapping'}
handlers = {'ftp': <class Ft.Server.Server.Ftp.FtpHandler.FtpHandler>}

## Fields

FTSERVER_SERVER_NS = 'http://xmlns.4suite.org/reserved'